io.vertx.core.net

## Interface TrustOptions

- All Known Implementing Classes:
    JksOptions, PemTrustOptions, PfxOptions

      public interface TrustOptions

  Certification authority configuration options.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrustOptions` | `clone()`
    `default TrustManagerFactory` | `getTrustManagerFactory(Vertx vertx)` Create and return the trust manager factory for these options.
    `default java.util.function.Function<String,TrustManager[]>` | `trustManagerMapper(Vertx vertx)` Returns a function that maps SNI server names to a `TrustManagerFactory` instance.

- - ### Method Detail

    - #### clone

          TrustOptions clone()

      Returns:
        a copy of these options

    - #### getTrustManagerFactory

          default TrustManagerFactory getTrustManagerFactory(Vertx vertx)
                                                      throws Exception

      Create and return the trust manager factory for these options.

      The returned trust manager factory should be already initialized and ready to use.

      Parameters:
        `vertx` - the vertx instance
      Returns:
        the trust manager factory
      Throws:
        `Exception`

    - #### trustManagerMapper

          default java.util.function.Function<String,TrustManager[]> trustManagerMapper(Vertx vertx)
                                                                                 throws Exception

      Returns a function that maps SNI server names to a `TrustManagerFactory` instance. The returned `TrustManagerFactory` must already be initialized and ready to use. The mapper is only used when the server has SNI enabled and the client indicated a server name.

      The returned function may return `null` in which case `getTrustManagerFactory(Vertx)` is used as fallback.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the trustManager
      Throws:
        `Exception`

Copyright © 2018 Eclipse. All rights reserved.